%global momorel 1
%global srcver 0.9.14

Name:           zeitgeist
Version:        0.9.16
Release: %{momorel}m%{?dist}
Summary:        Framework providing Desktop activity awareness
Group:         User Interface/Desktops
# most of the source code is LGPLv2+, except:
# datahub/ is LGPLv3+
# examples/c/ is GPLv3
# extensions/fts++/ is GPLv2+
# src/notify.vala: GPLv2+
# test/c/ is GPLv3
# tools/zeitgeist-explorer/ is GPLv2+
License:        LGPLv2+ and LGPLv3+ and GPLv2+
URL:            http://zeitgeist-project.com/
Source0:        http://launchpad.net/%{name}/0.9/%{srcver}/+download/%{name}-0.9.14.tar.xz
NoSource: 0
Patch0:         0001-Fix-unit-tests.patch
Patch1:         0002-Don-t-spam-the-logs-with-warnings-that-aren-t-really.patch
Patch2:         0003-bump-version-number-and-release-name.patch
Patch3:         0004-Fix-unit-test-failure-if-XDG_DATA_DIRS-is-not-set.patch
Patch4:         0005-Replace-with-1.patch
Patch5:         0006-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch
Patch6:         0007-Replace-get_nprocs_conf-with-g_get_num_processors.patch
Patch7:         0008-ontology2code-don-t-hardcode-python-path.patch
Patch8:         0010-WhereClause-Fix-array-length-to-work-with-string.joi.patch
Patch9:         0011-Require-glib-2.35.4-according-to-the-usage-of-g_get_.patch
Patch10:        0012-tools-Drop-rogue-leading-unicode-character.patch
BuildRequires:  dbus-devel
BuildRequires:  dee-devel
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  json-glib-devel
BuildRequires:  python2-devel
BuildRequires:  python-rdflib
BuildRequires:  raptor2
BuildRequires:  sqlite-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  vala
BuildRequires:  xapian-core-devel
Requires:       dbus
Requires:       python-%{name} = %{version}-%{release}
Obsoletes:      zeitgeist-datahub < 0.9.5-4

%description
Zeitgeist is a service which logs the users's activities and events (files
opened, websites visites, conversations hold with other people, etc.) and makes
relevant information available to other applications. 

Note that this package only contains the daemon, which you can use
together with several different user interfaces.

%package        libs
Summary:        Client library for interacting with the Zeitgeist daemon
License:        LGPLv2+

%description    libs
Libzeitgeist is a client library for interacting with the Zeitgeist
daemon.

%package        devel
Summary:        Development files for %{name}
License:        LGPLv2+
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%package -n     python-%{name}
Summary:        Python 2 bindings for %{name}
BuildArch:      noarch
Requires:       dbus-python
Requires:       pyxdg
Requires:       %{name} = %{version}-%{release}

%description -n python-%{name}
This package contains Python 2 API for
developing applications that use %{name}.

%prep
%setup -qn %{name}-0.9.14
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

## nuke unwanted rpaths, see also
## https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
%configure --enable-fts --enable-datahub --disable-silent-rules
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete -print

# We install AUTHORS and NEWS with %%doc instead
rm -frv %{buildroot}%{_datadir}/zeitgeist/doc

%check
make check || true

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.GPL NEWS
%{_bindir}/zeitgeist-daemon
%{_bindir}/zeitgeist-datahub
%{_libexecdir}/zeitgeist-fts
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.zeitgeist*.service
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/zeitgeist-daemon
%{_mandir}/man1/zeitgeist-*.*
%config(noreplace) %{_sysconfdir}/xdg/autostart/zeitgeist-datahub.desktop

%files libs
%doc COPYING
%{_libdir}/girepository-1.0/Zeitgeist-2.0.typelib
%{_libdir}/libzeitgeist-2.0.so.*

%files devel
%{_includedir}/zeitgeist-2.0/
%{_libdir}/libzeitgeist-2.0.so
%{_libdir}/pkgconfig/zeitgeist-2.0.pc
%{_datadir}/gir-1.0/Zeitgeist-2.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/zeitgeist-2.0.deps
%{_datadir}/vala/vapi/zeitgeist-2.0.vapi
%{_datadir}/vala/vapi/zeitgeist-datamodel-2.0.vapi

%files -n python-%{name}
%{python2_sitelib}/zeitgeist/

%changelog
* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.16-1m)
- update to 0.9.16

* Tue Jun 25 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.14-1m)
- update to 0.9.14

* Thu Jul  5 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.0-1m)
- import from fedora